## org.apache.mahout.ga.watchmaker.cd
Class DataLine

    java.lang.Object
      org.apache.mahout.ga.watchmaker.cd.DataLine

    public class DataLine

extends Object

Represents one line of a Dataset. Contains only real attributs.

Constructor Summary
`DataLine()`
`DataLine(String dl)`

Method Summary
`double` `getAttribute(int index)`
`int` `getLabel()`
`void` `set(String dlstr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataLine

    public DataLine()

### DataLine

    public DataLine(String dl)

Method Detail

### getLabel

    public int getLabel()

### getAttribute

    public double getAttribute(int index)

### set

    public void set(String dlstr)

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.